Ubuntu

Skype won't start (segmentation fault)

Reported by Mauro on 2012-05-21
218
This bug affects 44 people
Affects Status Importance Assigned to Milestone
skype (Ubuntu)
Undecided
Unassigned

Bug Description

I'm running skype 2.2.0.35-0precise3 on 12.04

Since today it won't start, crashing immediately with Segmentation fault (core dumped).

Hi Marco, please try to wipe out your .skype profile and test again

Changed in skype (Ubuntu):
status: New → Incomplete
Mauro (jasmines) wrote :

At first I deleted that folder but nothing had changed.
Then I purged skype, skype-bin and skype-wrapper, reinstalled skype and skype-bin and all seems ok.
Let's wait for the next reboot!

Mauro (jasmines) wrote :

Edit: first reboot went well, but at second one the issue is here again.

Mauro (jasmines) wrote :

It's very strange: the problem happens exactly every two reboots...!

Veleno (veleno) wrote :

Same problem here, started yesterday and exactly after every 2 reboots it happens.
Purging and reinstalling skype works.

Veleno (veleno) wrote :

Straced skype startup, log is attached.

Veleno (veleno) wrote :

$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.04
DISTRIB_CODENAME=precise
DISTRIB_DESCRIPTION="Ubuntu 12.04 LTS"

$ uname -svrip
Linux 3.2.0-25-generic #40-Ubuntu SMP Wed May 23 20:33:05 UTC 2012 i686 i386

$ dpkg --list |grep skype
ii pidgin-skype 20110407+svn612+dfsg-1.1 Skype plugin for libpurple messengers
ii skype 2.2.0.35-0precise3 VOIP and instant messaging client
ii skype-bin 2.2.0.35-0precise3 VOIP and instant messaging client - binary files

Mauro (jasmines) wrote :

$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.04
DISTRIB_CODENAME=precise
DISTRIB_DESCRIPTION="Ubuntu 12.04 LTS"

$ uname -svrip
Linux 3.2.0-25-generic-pae #40-Ubuntu SMP Wed May 23 22:11:24 UTC 2012 i686 i386

$ dpkg --list |grep skype
ii pidgin-skype 20110407+svn612+dfsg-1.1 Skype plugin for libpurple messengers
ii python-skype 1.0.32.0-0ubuntu1 Skype API wrapper for Python
ii skype 2.2.0.35-0precise3 VOIP and instant messaging client
ii skype-bin 2.2.0.35-0precise3 VOIP and instant messaging client - binary files

Mauro (jasmines) wrote :

Let's correct: if I just reboot, skype will work on the next start. If I halt, here's the problem!

Leonardo Corato (leocor) wrote :

The same aftrer some suspends

postadelmaga (postadelmaga) wrote :

Same problem here.
It happens after halt as described above ... Only fix is to purge skype and then reinstall, but next halt lead to the same 'core dump'.

I can add that this is started after update to 12.04 and i'm on 64bit.

postadelmaga (postadelmaga) wrote :

Same error with the new skype 4.0, I found that the problem is probably related to prelink bug so ...

... I'm trying this solution in order to exclude skype from prelinking :

1. Add this line to /etc/prelink.conf
    -b /usr/bin/skype
2. reinstall skype
3. cross your finger

Changed in skype (Ubuntu):
status: Incomplete → Confirmed
Mauro (jasmines) wrote :

Yes, purging prelink is a workaround.

Veleno (veleno) wrote :

Blacklisting /usr/bin/skype in prelink and then purge/reinstall skype works also here.

$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.04
DISTRIB_CODENAME=precise
DISTRIB_DESCRIPTION="Ubuntu 12.04 LTS"

$ uname -svrip
Linux 3.2.0-26-generic-pae #41-Ubuntu SMP Thu Jun 14 16:45:14 UTC 2012 i686 i386

$ sudo dpkg --list |grep -i skype
ii pidgin-skype 20110407+svn612+dfsg-1.1 Skype plugin for libpurple messengers
ii skype 2.2.0.35-0precise3 VOIP and instant messaging client
ii skype-bin 2.2.0.35-0precise3 VOIP and instant messaging client - binary files

Mauro (jasmines) on 2012-06-19
no longer affects: spyke
Veleno (veleno) wrote :

My 2c.: all good until now, system has rebooted 6 times and Skype is working like a charm.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in prelink (Ubuntu):
status: New → Confirmed

Hi, a new skype version 4.1.0.20.0-0ubuntu0.12.04.2 is available, could you please try if you still have the bug with the new version?

If you still have this problem please set the status back to "new".

thanks

Changed in skype (Ubuntu):
status: Confirmed → Incomplete
Changed in prelink (Ubuntu):
status: Confirmed → Incomplete
Veleno (veleno) wrote :

Yep, still in place.
If prelink is used, bakcklitsing skype is the obnly way to run it, otherwise it cores.

veleno@alustriel:~$ skype
Fatal: QWidget: Must construct a QApplication before a QPaintDevice
Aborted (core dumped)

Without reinstalling skype but clacklisting in prelink:
veleno@alustriel:~$ skype
Segmentation fault (core dumped)

After reinstalling skype and rebuilding prelink.cache it works.

veleno@alustriel:~$ skype --version
Skype 4.1.0.20
Copyright (c) 2004-2012, Skype
veleno@alustriel:~$ sudo dpkg --list |grep skype
ii pidgin-skype 20110407+svn612+dfsg-1.1 Skype plugin for libpurple messengers
ii skype 4.1.0.20.0-0ubuntu0.12.04.2 client for Skype VOIP and instant messaging service
ii skype-bin 4.1.0.20.0-0ubuntu0.12.04.2 client for Skype VOIP and instant messaging service - binar

Changed in skype (Ubuntu):
status: Incomplete → Confirmed
Changed in prelink (Ubuntu):
status: Incomplete → Confirmed
Steve Langasek (vorlon) wrote :

Prelink undermines the kernel's ASLR security feature and is strongly discouraged for *all* software.

no longer affects: prelink (Ubuntu)

Mauro, is this issue reproducible with the newest version of Skype? If so, could you please execute the following command, as it will automatically gather debugging information, in a terminal:
apport-collect BUGNUMBER
When reporting bugs in the future please use apport by using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

Changed in skype (Ubuntu):
status: Confirmed → Incomplete

I have the same error since upgrading to 13.04.
However, I could not solve it with the workaround in #12 (I do not even have prelink installed); also no success with purging/reinstalling everything skype-related.
I am also unable to use ubuntu-bug, getting an error "This is not an official Ubuntu package. Please remove any third party package and try again".
However, I straced it, maybe this helps.

Dread Knight (dread.knight) wrote :

Same issue here as you Johannes Huber.

@LocutusOfBorg: really not sure what to make out of that :-|

You don't know how to downgrade the package? You can manually download the deb from packages.ubuntu.com or I'm pretty sure there is a graphical way in synaptic like force version or something like that!

Aske Bluhme (askebluhme) wrote :

I got exactly the same problem as Johannes Huber.
Tried purge, reinstall prelink... nothing works. Ubuntu 13.04

Changed in skype (Ubuntu):
status: Incomplete → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in skype (Ubuntu):
status: New → Confirmed
vasilisc (vasilisc) wrote :

Fri, 15 Mar 2013 12:09:20 +0400
==============
[Ubuntu]
Description: Ubuntu Raring Ringtail (development branch)
[Kernel linux]
3.8.0-12-generic
[Kernel command line]
BOOT_IMAGE=/boot/vmlinuz-3.8.0-12-generic root=UUID=7e5e7212-570c-4aa9-a3b5-60367081603b ro quiet splash ipv6.disable=1

[libc6]
libc6:amd64 2.17-0ubuntu4 amd64
libc6:i386 2.17-0ubuntu4 i386
libc6-dev:amd64 2.17-0ubuntu4 amd64

[skype]
skype 4.1.0.20.0-0ubuntu0.1 amd64
skype-bin 4.1.0.20.0-0ubuntu0.1 i386

Thomas Klose (atomkaputze) wrote :

My solution was to deactivate the properitary NVIDIA drivers.

Skype works well now.

Environment:
$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=13.04
DISTRIB_CODENAME=raring
DISTRIB_DESCRIPTION="Ubuntu Raring Ringtail (development branch)"

$ uname -svrip
Linux 3.8.0-13-generic #22-Ubuntu SMP Fri Mar 15 17:49:38 UTC 2013 x86_64 x86_64

Skype Version:
4.1.0.20

Yotam Benshalom (benshalom) wrote :

Same here, using proprietary nvidia drivers. Problem started after upgrading to 13.04.

Confirmed on 13.04.

Linux 3.8.0-12-generic #21-Ubuntu SMP Thu Mar 7 19:08:49 UTC 2013 x86_64

Juan Jose Comellas (jcomellas) wrote :

I experienced the same problem as soon as I upgraded to 13.04. I followed the instructions on http://geekphreek.com/2013/03/skype-segmentation-fault-core-dumped/ and preloaded libGL.so in this way to start Skype:

LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1 skype

And after that Skype stopped crashing.

Pattrick Hueper (phueper) wrote :

Comment #31 worked for me

Iztok Jeras (iztok.jeras) wrote :

Same issue here. I also have Nvidia drivers, but I have not tried running other driver options.

I was able to run skype with the suggested cli:
LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1 skype
otherwise I get a segmentation fault.

Elias Probst (eliasp) wrote :

Also solved here by applying comment#31

Michal (mikeos) wrote :

Also solved here by applying comment#31

molecule-eye (niburu1) wrote :

Another hurray for comment 31. However, this is not exactly an ideal workaround. Kubuntu 13.04 64-bit.

Blaze (blaze) wrote :

The Skype binary should be built against new qtWebkit 2.3.0. It runs perfectly with libqtwebkit4 2.2.1 (just downgrade it).

Gunnar Hjalmarsson (gunnarhj) wrote :

Yet another thanks to Juan for comment #31.

@Steve: I think it's important that Skype can be used when 13.04 is released without a need to google around for workarounds, so I ask you to please upload a build that works out of the box.

Changed in skype (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-13.04
status: Confirmed → Triaged
Steve Langasek (vorlon) wrote :

Gunnar, we already have the latest version of the skype binary included in raring. Short of someone identifying and fixing a regression in QtWebkit, the only way to fix this is if Skype upstream provides a new build.

Also, please note that this bug report was filed against an old version of skype in 12.04, and is thus unrelated to the recent crashes. Please use bug #1155327 instead, which has been filed for this exact problem.

Changed in skype (Ubuntu):
importance: High → Undecided
milestone: ubuntu-13.04 → none
status: Triaged → Confirmed
vasilisc (vasilisc) wrote :

comment#31 thx!

David Baumann (davidbaumann) wrote :

#31 works.
Ist there a way to fix this properly? Maybe Change the path in de KDE menu till Skype brings an update?

Gunnar Hjalmarsson (gunnarhj) wrote :

@David: Please see the bug that Steve mentioned in comment #39 (bug 1155327).

GonzoDark (gonzo-dark) wrote :

Instead of using the command each time you start the computer through the terminal or have the application start with the computer. Then you can simpy fix the icon itself.

sudo mv /usr/bin/skype /usr/bin/skype-bin
sudo apt-get install gksu
gksu gksu gedit /usr/bin/skype

and then paste the following

#!/bin/sh
export LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1
exec skype-bin "$@"

And then fix the perms.
sudo chmod 0755 /usr/bin/skype

You can now use your icon again or simply write "skype" in the terminal.

Enjoy.

pbhj (pbhj) wrote :

#31 working for me too

GonzoDark (gonzo-dark) wrote :

Oh yes, no need for the double gksu in my post :P lol

Elias Probst (eliasp) wrote :

@GonzoDark: Manually manipulating package-manager owned files is never a proper solution, but a rather ugly temporary hack.
Better create a local copy of the *.desktop file and do all the needed changes directly in it.

David Baumann (davidbaumann) wrote :

Anybody here affected, who is not using NV or AMD proprietary drivers?

Lastique (andysem) wrote :

#31 and #43 work for me with proprietary Nvidia drivers, but only up to the next time I run Nvidia driver command line installer. Apparently, the installer removes /usr/lib/i386-linux-gnu/mesa/libGL.so.1 and libGL.so.1.2.0 when you install 32 bit libs (so that Nvidia's libGL.so.1 is found by the linker instead).

To make the solution permanent and safe you have to manually download libgl1-mesa-glx_9.1.1-0ubuntu3_i386.deb package and extract its CONTENTS/usr/lib/i386-linux-gnu/mesa somewhere safe, and where the linker won't find it by default (I've put it to /usr/local/lib/i386-linux-gnu/skype_mesa). Then modify /usr/bin/skype to preload libGL.so.1 from that location instead. So in my case it looked like this:

export LD_PRELOAD="/usr/local/lib/i386-linux-gnu/skype_mesa/libGL.so.1${LD_PRELOAD:+:}$LD_PRELOAD"
exec /usr/lib/skype/skype "$@"

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2013-05-04 08:44, Lastique wrote:
> #31 and #43 work for me with proprietary Nvidia drivers, but only up
> to the next time I run Nvidia driver command line installer.
> Apparently, the installer removes
> /usr/lib/i386-linux-gnu/mesa/libGL.so.1 and libGL.so.1.2.0 when you
> install 32 bit libs (so that Nvidia's libGL.so.1 is found by the
> linker instead).

If that's the case, it sounds terribly wrong to me. No package should be allowed to remove files owned by other packages.

Lastique, which package carries that command line installer you mention? We should file a Nvidia bug about it. It's a severe bug IMO.

Also, please note that the archive has been updated with version 4.1.0.20.0-0ubuntu0.13.04.2 of the skype and skype-bin packages. It replaces the need to apply 'the LD_PRELOAD workaround' manually, so after updating, the tips in comment #31 and #43 etc. are no longer applicable.

The main discussion about the Skype problem in 13.04 is on bug 1155327.

Gunnar Hjalmarsson (gunnarhj) wrote :

@Lastique: Just subscribed you. Please see comment #49.

Lastique (andysem) wrote :

> If that's the case, it sounds terribly wrong to me. No package should be allowed to remove files owned by other packages.
>
> Lastique, which package carries that command line installer you mention? We should file a Nvidia bug about it. It's a severe bug IMO.

It's not a package from a repository. I was talking about the command line driver installer that can be downloaded from Nvidia's site (http://www.nvidia.com/object/unix.html). I install it by running it manually from the console.

I can't judge whether the installer is doing wrong here, but it seems logical to me that since Nvidia provides OpenGL implementation in their driver then no other implementation should be used (that being Mesa in this case). I'm not sure how correct it is to use Mesa OpenGL with Nvidia driver, but I had problems when some of X.Org and Mesa libs got restored due to updates while Nvidia drivers were installed. Thus I prefer to be on the safe side and remove Mesa GL libs from being accessible to the linker by default.

> Also, please note that the archive has been updated with version 4.1.0.20.0-0ubuntu0.13.04.2 of the skype and skype-bin packages.

Great, I'll see if it fixes my problem tomorrow.

Gunnar Hjalmarsson (gunnarhj) wrote :

Well, the intrusive behaviour you describe - removing files belonging to libgl1-mesa-glx - simply sounds unacceptable to me, and I can't help thinking that you ask for trouble by installing the driver directly from the nvidia site.

I am using the nvidia-304-updates package, provided by Ubuntu's "restricted" repository, together with the latest version of skype and skype-bin. It just works, without any manual workarounds of any kind.

Lastique (andysem) wrote :

I just looked at my skype package version and it appears I already have 4.1.0.20.0-0ubuntu0.13.04.2. So because of missing Mesa GL libs this version didn't fix the problem for me, and the fix I described in #48 applies to this version.

> I can't help thinking that you ask for trouble by installing the driver directly from the nvidia site.

I realize the danger but still would like to try out new features in the driver as it comes out. If there was a repo with the latest Nvidia drivers I would use it, of course.

Regarding the driver package, I can see it doesn't conflict with libgl1-mesa-glx, so you probably have both installed, which solves the problem with skype. But again, I'm not sure that having two GL implementations is safe, it did cause problems in my setup and Nvidia is probably removing Mesa for a reason.

Lastique (andysem) wrote :

Could the workaround I described be added to the skype package, so it doesn't use or rely on Mesa (i.e. preload skype-private libGL that is not accessible for the linker)? I think this would be a safer solution for folks like me who install latest Nvidia drivers, and this would also remove possible conflicts between Nvidia and Mesa GL.

Steve Langasek (vorlon) wrote :

> Could the workaround I described be added to the skype package,
> so it doesn't use or rely on Mesa

No. This bug has already been fixed through the use of mesa, and it's a bug in whatever commandline nvidia installer you're using if files belonging to packages are being mangled. The Ubuntu packages already include a mature and tested system for ensuring the correct libGL is used on the system, even though more than one might be installed, and mesa is already *not* on the linker's path when supported nvidia packages are installed.

In any case, this is the wrong bug report on which to be having this discussion. This bug report is about a crash present in 12.04, in which QtWebkit was not linked against libGL *at all*. The bug report covering the libGL conflict is bug #1155327.

Vaughn Dewar (vaughn-dewar) wrote :

This didn't work for me and I'm not using a NVIDIA card. Any help would be appreciated.

Here is my error output:
$ skype
Gtk-Message: Failed to load module "overlay-scrollbar"
`menu_proxy_module_load': /usr/lib/skype/skype: undefined symbol: menu_proxy_module_load

(skype:16263): Gtk-WARNING **: Failed to load type module: (null)

`menu_proxy_module_load': /usr/lib/skype/skype: undefined symbol: menu_proxy_module_load

(skype:16263): Gtk-WARNING **: Failed to load type module: (null)

`menu_proxy_module_load': /usr/lib/skype/skype: undefined symbol: menu_proxy_module_load

(skype:16263): Gtk-WARNING **: Failed to load type module: (null)

`menu_proxy_module_load': /usr/lib/skype/skype: undefined symbol: menu_proxy_module_load

(skype:16263): Gtk-WARNING **: Failed to load type module: (null)

Vaughn Dewar (vaughn-dewar) wrote :

Here is my Setup:
cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=13.04
DISTRIB_CODENAME=raring
DISTRIB_DESCRIPTION="Ubuntu 13.04"

uname -svrip
Linux 3.8.0-19-generic #30-Ubuntu SMP Wed May 1 16:35:23 UTC 2013 x86_64 x86_64

dpkg --list |grep skype
ii skype 4.1.0.20.0-0ubuntu0.13.04.2 amd64 client for Skype VOIP and instant messaging service
ii skype-bin 4.1.0.20.0-0ubuntu0.13.04.2 i386 client for Skype VOIP and instant messaging service - binary files

vasilisc (vasilisc) wrote :

cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=13.10
DISTRIB_CODENAME=saucy
DISTRIB_DESCRIPTION="Ubuntu Saucy Salamander (development branch)"

uname -svrip
Linux 3.9.0-2-generic #6-Ubuntu SMP Tue May 14 16:51:58 UTC 2013 x86_64 x86_64

dpkg --list |grep skype
ii skype 4.1.0.20.0-0ubuntu0.13.04.2 amd64 client for Skype VOIP and instant messaging service
ii skype-bin 4.1.0.20.0-0ubuntu0.13.04.2 i386 client for Skype VOIP and instant messaging service - binary files

cat /usr/bin/skype
#!/bin/sh
#
# Tip in https://launchpad.net/bugs/1002187, comment #31
#
# Bug filed against Skype: https://jira.skype.com/browse/SCL-980
#
export LD_PRELOAD="/usr/lib/i386-linux-gnu/mesa/libGL.so.1${LD_PRELOAD:+:}$LD_PRELOAD"
exec /usr/lib/skype/skype "$@"
---------------------------------------------------------------
$ skype
Segmentation fault (core dumped).

Vaughn Dewar (vaughn-dewar) wrote :

Mine now works after I pulled the latest update from Canonical and restarted the computer.
NOTE: It didn't work until I restarted.

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2013-05-17 09:42, vasilisc wrote:
> ...
> DISTRIB_RELEASE=13.10
> ...
> $ skype
> Segmentation fault (core dumped).

This bug report is about a Skype issue in Ubuntu 12.04. The 13.10 issue you are facing might be the one at bug 1180857.

Doki (lkishalmi) wrote :

I'm also affected with the latest Skype 4.2.0.11 update 12.04.2 with AMD proprietary driver.

:~$ LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1 skype
Segmentation fault (core dumped)

~$ uname -a
Linux Ideapad-S205 3.5.0-38-generic #59~precise1-Ubuntu SMP Sun Jul 28 05:16:47 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Doki (lkishalmi) wrote :

I found out the problem, at least for me. I was running quantal kernel with old precise xorg.
Upgrading to LTS raring kernel and LTS raring xserver solved the problem. I think upgrading to LTS quantal xserver would have been worked as well.

I had a few hicckups while running precise xorg over quantal kernel on other places as well. (It was not that frequent though)

Doki (lkishalmi) wrote :

Skype core dumps again. I'm on HWE raring now both on kernel and xorg.

Alain (alauzon) wrote :

I am having the same problem since this morning :
skype
Gtk-Message: Failed to load module "overlay-scrollbar"
`menu_proxy_module_load': skype: undefined symbol: menu_proxy_module_load

(skype:14205): Gtk-WARNING **: Failed to load type module: (null)

`menu_proxy_module_load': skype: undefined symbol: menu_proxy_module_load

(skype:14205): Gtk-WARNING **: Failed to load type module: (null)

`menu_proxy_module_load': skype: undefined symbol: menu_proxy_module_load

(skype:14205): Gtk-WARNING **: Failed to load type module: (null)

`menu_proxy_module_load': skype: undefined symbol: menu_proxy_module_load

(skype:14205): Gtk-WARNING **: Failed to load type module: (null)

Ca you please try to look if this is a duplicate to bug 1039408 ?

The other bug has more informations about valgrind runs
https://bugs.launchpad.net/ubuntu/+source/skype/+bug/1039408

Blaze (blaze) on 2014-02-05
Changed in skype (Ubuntu):
status: Confirmed → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers